LibreOffice: CoreReflection Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Exported Interfaces | List of all members
CoreReflection Service Referencepublished

This service is the implementation of the reflection API. More...

`import"CoreReflection.idl";`

Inheritance diagram for CoreReflection:

## Exported Interfaces
interface | com::sun::star::reflection::XIdlReflection
| Interface to reflect types. More...
interface | com::sun::star::lang::XComponent
| CoreReflection has to be disposed if possible. More...

## Additional Inherited Members
Public Member Functions inherited from XIdlReflection
com::sun::star::reflection::XIdlClass | forName ([in] string aTypeName)
| Obtaining a reflection interface for a type. More...
com::sun::star::reflection::XIdlClass | getType ([in] any aObj)
| Obtaining a reflection interface for an object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

This service is the implementation of the reflection API.

You can obtain information about types, modify values of reflected types and call on objects.

Deprecated:
  Rather use the 'theCoreReflection' singleton.

Developers Guide
  AdvUNO - UNO Reflection API

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent
| optional

CoreReflection has to be disposed if possible.

## ◆ com::sun::star::reflection::XIdlReflection

interface com::sun::star::reflection::XIdlReflection

Interface to reflect types.

The documentation for this service was generated from the following file:

- com/sun/star/reflection/CoreReflection.idl